Subject: bug#15043: 24.3; ange-ftp-run-real-handler not defined in v24.3

From: Joshua Kordani <[email-masked]>
Date: Wed, 07 Aug 2013 12:16:20 -0400

when I fire up a new instance of emacs -Q, tramp run real handler is 
defined in tramp.el,
when I ruen -Q -l ange-ftp, then ange-ftp-run... is an alias.

when i restart emacs no args, tramp run real handler is defined, 
ange-run is not, but other ange-ftp "symbols"? are

On 8/7/13 12:04 PM, Glenn Morris wrote:
> Joshua Kordani wrote:
>
>> attempt to C-x C-f to /ftp:user@url, results in error message
>> ange-ftp-run-real-handler symbol not defined.
>>
>> C-h f on that symbol returns
>>
>> ange-ftp-run-real-handler is an alias for `tramp-run-real-handler',
>> which is not defined. Please make a bug report.
> I can't reproduce this.
> tramp-run-real-handler is autoloaded, and compiled into the Emacs
> executable, so it's not clear how this could happen.
>
> What does
>
> emacs -Q
> C-h f tramp-run-real-handler RET
>
> say for you?
>
> What does
>
> emacs -Q -l ange-ftp
> C-h f ange-ftp-run-real-handler
>
> say?

-- 
Joshua Kordani
LSA Autonomy